ngenericfacetpairing.h File Reference

Deals with pairing off facets of simplices in a census of n-dimensional triangulations. More...

`#include <iostream>`
`#include <list>`
`#include "regina-core.h"`
`#include "generic/dimtraits.h"`
`#include "generic/nfacetspec.h"`
`#include "utilities/nbooleans.h"`
`#include "utilities/nthread.h"`

## Classes

class | regina::NGenericFacetPairing< dim >
| A dimension-agnostic base class that represents a pairwise matching of facets of dim-dimensional simplices. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Deals with pairing off facets of simplices in a census of n-dimensional triangulations.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).